Inicio > codear, linux, tests, ubuntu-ar > Migré a Ubuntu Edgy!

Migré a Ubuntu Edgy!

Domingo, 29 de octubre de 2006 Dejar un comentario Ir a comentarios

Impresionante, la verdad es que estoy disfrutando de la última actualización a Edgy. Cambié todo lo que decía ‘dapper’ por ‘edgy’ en el archivo /etc/apt/sources.list, y ejecuté ‘apt-get update’, ‘apt-get dist-upgrade’ y varias horas después tenía Edgy instalado. Me quedaron algunos meta-paquetes de python retenidos, pero no son problema, después lo soluciono.

Mi instalación de XGL+Compiz anduvo sin romperse, aunque no lo probé mucho porque el Compiz ese (de Quinnstorm, antes de convertirse en Beryl) era para Dapper… ya cambié el repo a Edgy y estoy usando Beryl 0.1.1 para Edgy. Tiene bastantes mejoras, aunque molesta un poco que tenga taaantas opciones yque siempre haya que estar configurando algo porque se actualizó/cambió. Ojo, son paquetes que están en puro desarrollo, así que si te gusta el durazno… bancate la pelusa. 😛

Lo primero que hice fue levantar el Firefox 2.0 de 32 bits que tengo (tengo Ubuntu 64) ya que la preciosa gente de Adobe tarda siglos en portar a 64 bits su plugin de flash (y no, probé nspluginwrapper y me cuelga el Firefox). Me di cuenta que:

– El plugin “TabMixPlus” no funca en firefox 2. Un garrón, aunque encontré un post en este blog diciendo que están en proceso de sacar una actualización (recordemos que Firefox 2 hizo profundos cambios en el manejo de pestañas). Quise entrar a la home page y veo que se quedaron sin ancho de banda disponible!! que alguien le tire una moneda a ese pibe, esa extensión es imprescindible!!

– Quiero mi “Ubuntu Human Theme” para Firefox 2! (como tiene la versión de 64 bits). Claro, el paquete para integrar los íconos de Firefox 2 al skin de Ubuntu ahora viene incluído en los repositorios de Edgy… y no lo puedo instalar (lo busqué, eh!) como plugin .xpi para el Firefox de 32 bits. Por suerte, (así es el mundo Open Source, je) bajé el correspondiente archivo .deb, lo descomprimí y acá les dejo mi archivo comprimido para que extraigan en el directorio de ‘extensions’ de firefox 2 (calculo que sólo sirve para Ubuntu Edgy).

– Para volver el ícono del Thunderbird a la versión original, el script de este thread anduvo, pero ejecutándolo como “sudo bash /usr/local/bin/restore_mozilla_icons”.

Gracias a Beryl y los parches para que la transparencia de gnome-terminal sea “real” (sólo con X.org 7.1 y window managers que soporten Composite), tengo consola con fondo transparente de verdad!! 😀

Otro problema (bastante importante) fue que las fuentes en Firefox, Gnome-terminal y OpenOffice se veían HORRIBLES. Encontré este thread, que me hizo reemplazar el archivo .fonts.conf de mi home por este:

<?xml version="1.0"?>
<!DOCTYPE fontconfig SYSTEM "fonts.dtd">
<fontconfig>
<match target="font" >
<edit mode="assign" name="rgba" >
<const>rgb</const>
</edit>
</match>
<match target="font" >
<edit mode="assign" name="hinting" >
<bool>true</bool>
</edit>
</match>
<match target="font" >
<edit mode="assign" name="hintstyle" >
<const>hintfull</const>
</edit>
</match>
<match target="font" >
<edit mode="assign" name="antialias" >
<bool>true</bool>
</edit>
</match>
</fontconfig>

Y santo remedio! 😀
Evidentemente, hay problemas con Firefox y su manejo de fonts en linux… :-S

Otro “bugcito”: tengo el problema (según este post somos varios) que nos muestra el splash de arranque en gris (?)

Por ahora, nada más. A medida que vaya encontrando problemitas, voy a ir publicando cómo los fui resolviendo. Por ahora, el balance general es bueno. El sistema vuela, es bastante estable (aún con XGL+Beryl instalado), y sí, es de saber que la actualización desde los repositorios tiende a tener este tipo de “glitches”… pero nada grave en mi opinión.

Las nuevas versiones de las aplicaciones, el arranque un poco más rápido (aunque todavía no creo que se le esté sacando el jugo a este esquema, es muy nuevo), etc. hacen que la actualización valga la pena largamente.

Saludos!
Marcelo

Actualización: También soy víctima de este pequeño “bugcicicicito”:

Demasiado visible como para que saquen Edgy con este bug, no? :-S
En mi opinión esto (y comentarios que ví en varios lados) remarca que Edgy no es una distro LTS; o sea, es un poco más ‘experimental’ y para gente que quiere algo con algunos bugs pero con software más actualizado.

Categories: codear, linux, tests, ubuntu-ar Tags:
  1. Santiago
    Lunes, 20 de noviembre de 2006 a las 10:44 | #1

    Hola Marce,
    Habia leido y no me preguntes donde, creo que en el sitio oficial de ubuntu donde aconsejaba que se tengan cuidado al momento de realizar la actualizacion, ya que no se pueden saltar las actualizaciones, a que voy, para quienes tienen 5.04 todavia (no lo creo, yo era uno pero ya no =P), no puden pasar de 5.04 a 6.10, paso previo es actualizar del 5.04 –> 5.10 pasando por 5.10 –> 6.06 y luego si 6.06 –> 6.10.
    Era una aclaracion ñoña nomas.
    Saludos pibe muy buen blog.
    Santiago “El Pilarense”.

  2. Luis
    Martes, 12 de junio de 2007 a las 18:35 | #2

    Hola Marcelo, esta versión del Tab Mix Plus (la última) anda muy bien con el firefox 2.0.0.4.

  1. Sin trackbacks aún.